Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.def
Interface ModuleDef

All Known Subinterfaces:
  ModuleDef2

All Known Implementing Classes:
  DefaultModuleDefImpl, SpringModuleDef, SyntheticModuleDef

    public interface ModuleDef

Defines the contents of a module. In the default case, this is information about the services provided by the module builder class.

Method Summary
`java.lang.Class` | `getBuilderClass()` Returns the class that will be instantiated.
`java.util.Set<ContributionDef>` | `getContributionDefs()` Returns all the contribution definitions built/provided by this module.
`java.util.Set<DecoratorDef>` | `getDecoratorDefs()` Returns all the decorator definitions built/provided by this module.
`java.lang.String` | `getLoggerName()` Returns the name used to create a `Logger` instance.
`ServiceDef` | `getServiceDef(java.lang.String serviceId)` Returns a service definition via the service's id.
`java.util.Set<java.lang.String>` | `getServiceIds()` Returns the ids of the services built/provided by the module.

Method Detail

### getServiceIds

    java.util.Set<java.lang.String> getServiceIds()

  Returns the ids of the services built/provided by the module.

### getServiceDef

    ServiceDef getServiceDef(java.lang.String serviceId)

  Returns a service definition via the service's id. Ideally, the returned value should be an instance of `ServiceDef2`, and will be converted to such if necessary.

  Parameters:
    `serviceId` - the id of the service to retrieve (case is ignored)
  Returns:
    service definition or null if it doesn't exist

### getDecoratorDefs

    java.util.Set<DecoratorDef> getDecoratorDefs()

  Returns all the decorator definitions built/provided by this module.

### getContributionDefs

    java.util.Set<ContributionDef> getContributionDefs()

  Returns all the contribution definitions built/provided by this module.

### getBuilderClass

    java.lang.Class getBuilderClass()

  Returns the class that will be instantiated. Annotated instance methods of this class are invoked to build services, to decorate/intercept services, and make contributions to other services.

  Note: this name is maintained for compatibilty; the term "module builder" is now just "module class".

### getLoggerName

    java.lang.String getLoggerName()

  Returns the name used to create a `Logger` instance. This is typically the builder class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.